package com.imofan.android.basic.notification;
import android.content.Context;

/**
 * 请求参数
 * @author liyang
 *
 */
public class MFParameter {
    
    private long appId;           //应用的唯一标识，由魔方系统生成
    private String devId;         //设备的唯一标识，采用魔方数据分析的dev_id
    private long md5;             //校验码 
    private long timeStamp = 0l;  //时间戳
    
    
    public long getAppId() {
        return appId;
    }

    public void setAppId(long appId) {
        this.appId = appId;
    }

    public String getDevId() {
        return devId;
    }

    public void setDevId(String devId) {
        this.devId = devId;
    }

    public long getMd5() {
        return md5;
    }

    public void setMd5(long md5) {
        this.md5 = md5;
    }

    public long getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(long timeStamp) {
        this.timeStamp = timeStamp;
    }
    
    
    public static long getMd5Verify(Context context,long appId,long timeStamp){
        long md5 = timeStamp%appId;
        return md5;
    }
}   
